
Ryzom - Feature # 1030

Status: Closed Priority: High
Author: kervala Category: NeL: General
Created: 07/27/2010 Assignee: kervala
Updated: 11/18/2010 Due date:
Subject: Implement music streaming in OpenAL driver
Description

A lot of work has already be done by Kaetemi and Ogg streaming is working in XAudio2 driver.

OpenAL driver is one of the most important part now we are working on Linux and Mac OS ports but music is missing.

History
#1 - 07/27/2010 05:48 pm - kervala
- % Done changed from 0 to 10

IMusicBuffer and CMusicBufferVorbis are now part of sound_lowlevel so they can be used by any driver.

#2 - 07/27/2010 07:00 pm - kervala
- % Done changed from 10 to 70

#3 - 07/27/2010 07:25 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 70 to 100

Applied in changeset r543.

#4 - 07/27/2010 07:25 pm - kervala
- Target version set to Version 0.8.0

#5 - 11/18/2010 03:11 pm - kervala
- Status changed from Resolved to Closed
